All files in this repository are copyrighted (c) 

Gabriel Rodriguez Alvarez <gabriel.rodriguez@udc.es> 
and Louis-Noel Pouchet <pouchet@colostate.edu>, July 2019. 

No use or dissemination is permitted without the explicit written consent of 
the copyright holders.